build+ci: switch to python3
Also in this commit:
* Sync CI scripts with other projects
* Modernize docs/conf.py
* Replace redmine_issue extension with sphinx.ext.extlinks
* Minor updates to docs/doxygen.conf.in
* Cleanup README.md and INSTALL.rst
Refs: #5095
Change-Id: I614e876e6aed73659f4f4cea01813f4604599263
diff --git a/.jenkins.d/30-coverage.sh b/.jenkins.d/30-coverage.sh
index 981bdc0..6f6ee88 100755
--- a/.jenkins.d/30-coverage.sh
+++ b/.jenkins.d/30-coverage.sh
@@ -1,10 +1,5 @@
#!/usr/bin/env bash
-set -e
-
-JDIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
-source "$JDIR"/util.sh
-
-set -x
+set -ex
if [[ $JOB_NAME == *"code-coverage" ]]; then
lcov --quiet \